import net.dbws.tutorials.Customer

class BootStrap {

     def init = { servletContext ->
        // if we have an empty customer database,
        // create some test data
        if (Customer.count() == 0) {
            new Customer(
                    firstName:'John', lastName:'Smith',
                    age:27,
                    emailAddress:'john@somewhere.com'
            ).save()

            new Customer(
                    firstName:'Frank', lastName:'Malone',
                    age:37,
                    emailAddress:'frank@somewhere.com'
            ).save()

            new Customer(
                    firstName:'Dave', lastName:'Brown',
                    age:34,
                    emailAddress:'dave@somewhere.com'
            ).save()

            new Customer(
                    firstName:'Barney', lastName:'Rubble',
                    age:44,
                    emailAddress:'barney@somewhere.com'
            ).save()            
        }
     }

     def destroy = {
     }
} 