dataSource {
	pooled = true
	driverClassName = "com.mysql.jdbc.Driver"
	username = ""   // enter your db username
	password = ""   // enter your db password
}
hibernate {
    cache.use_second_level_cache=true
    cache.use_query_cache=true
    cache.provider_class='net.sf.ehcache.hibernate.EhCacheProvider'
}
// environment specific settings
environments {
	development {
		dataSource {
			dbCreate = "update" // one of 'create', 'create-drop','update'
			url = "jdbc:mysql://localhost/tutorials"
            // enable next line to see sql query info
            //loggingSql = true
		}

	}
	test {
		dataSource {
			dbCreate = "update"
			url = "jdbc:mysql://localhost/tutorials"
                        loggingSql = true  
		}
	}
	production {
		dataSource {
			dbCreate = "update"
            url = "jdbc:mysql://${System.getProperty("dbHostName", "localhost")}/tutorials"
		}
	}
}